ASINH(3) | Library Functions Manual | ASINH(3)

# NAME

`asinh`, `asinhf`, `asinhl` — inverse hyperbolic sine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`asinh`(double x);

float
`asinhf`(float x);

long double
`asinhl`(long double x);

# DESCRIPTION

The `asinh`(), `asinhf`(), and `asinhl`() functions compute the inverse hyperbolic sine of the real argument

# RETURN VALUES

The `asinh`(), `asinhf`(), and `asinhl`() functions return the inverse hyperbolic sine of x.

# SEE ALSO

acosh(3), atanh(3), exp(3), math(3)

# STANDARDS

The `asinh`() function conforms to ISO/IEC 9899:1999 (“ISO C99”).

# HISTORY

The `asinh`() function appeared in 4.3BSD.

January 29, 2013 | NetBSD 11.0